XmLGridAddColumns(3X)

NAME
XmLGridAddColumns - add columns to a Grid

SYNTAX
void XmLGridAddColumns(widget, type, position, count)
Widget widget;
unsigned char type;
int position;
int count;

ARGUMENTS

widget
    Grid widget ID

type
    type of column

position
    position of first column

count
    number of columns to add

DESCRIPTION
Adds count columns of the given type at the specified position. See the XmLGrid man page for an explaination of column types. A position of 0 indicates the first column of the given type. A position of -1 specifies after the last position of that column type. The Grid will call its XmNaddCallback callbacks for each column and cell it creates. It will remain scrolled to the column scrolled to prior to the addition of columns, and focus will remain in the column which had focus prior to the addition of the columns.

SEE ALSO
XmLGrid(3X) XmLGridAddRows(3X)